## libvdpau-sunxi-dmo 0.5~git.20160309.c2fb693

=== Makefile ===
TARGET = libvdpau_sunxi.so.1
SRC = device.c presentation_queue.c surface_output.c surface_video.c \
	surface_bitmap.c video_mixer.c decoder.c handles.c \
	h264.c mpeg12.c mpeg4.c rgba.c tiled_yuv.S h265.c sunxi_disp.c \
	sunxi_disp2.c sunxi_disp1_5.c rgba_g2d.c rgba_pixman.c
CFLAGS ?= -Wall -O3
LDFLAGS ?=
LIBS = -lrt -lm -lX11 -lpthread -lcedrus
CC ?= gcc

CFLAGS += $(shell pkg-config --cflags pixman-1)
LIBS += $(shell pkg-config --libs pixman-1)

DEP_CFLAGS = -MD -MP -MQ $@
LIB_CFLAGS = -fpic -fvisibility=hidden
LIB_LDFLAGS = -shared -Wl,-soname,$(TARGET)

OBJ = $(addsuffix .o,$(basename $(SRC)))
DEP = $(addsuffix .d,$(basename $(SRC)))

MODULEDIR = $(shell pkg-config --variable=moduledir vdpau)

ifeq ($(MODULEDIR),)
MODULEDIR=/usr/lib/vdpau
endif

.PHONY: clean all install uninstall

all: $(TARGET)
$(TARGET): $(OBJ)
	$(CC) $(LIB_LDFLAGS) $(LDFLAGS) $(OBJ) $(LIBS) -o $@

clean:
	rm -f $(OBJ)
	rm -f $(DEP)
	rm -f $(TARGET)

install: $(TARGET)
	install -D $(TARGET) $(DESTDIR)$(MODULEDIR)/$(TARGET)
	ln -sf $(TARGET) $(DESTDIR)$(MODULEDIR)/$(basename $(TARGET))

uninstall:
	rm -f $(DESTDIR)$(MODULEDIR)/$(basename $(TARGET))
	rm -f $(DESTDIR)$(MODULEDIR)/$(TARGET)

%.o: %.c
	$(CC) $(DEP_CFLAGS) $(LIB_CFLAGS) $(CFLAGS) -c $< -o $@

%.o: %.S
	$(CC) -c $< -o $@

include $(wildcard $(DEP))

=== debian/changelog ===
libvdpau-sunxi-dmo (0.5~git.20160309.c2fb693-dmo3) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Nov 2024 11:27:04 +0100

libvdpau-sunxi-dmo (0.5~git.20160309.c2fb693-dmo2) unstable; urgency=medium

  * Change debian source format to '3.0 (quilt)'

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Dec 2017 08:11:11 +0100

libvdpau-sunxi-dmo (0.5~git.20160309.c2fb693-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@free.fr>  Sun, 12 Jun 2016 14:31:21 +0000

libvdpau-sunxi (0.5~git.20160309.c2fb693-3~xenial1.0) xenial; urgency=medium

  * Remove dev package, fix install.

 -- Simon Eisenmann <simon@longsleep.org>  Sun, 01 May 2016 21:38:36 +0200

libvdpau-sunxi (0.5~git.20160309.c2fb693-0~xenial1.0) xenial; urgency=low

  * package up libvdpau-sunxi.

 -- Simon Eisenmann <simon@longsleep.org>  Sun, 1 May 2016 21:14:57 +0200

=== debian/control ===
Source: libvdpau-sunxi-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), pkgconf, libcedrus-dev,
 libpixman-1-dev, libvdpau-dev

Package: libvdpau-sunxi1
Architecture: arm64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: VDPAU implementation for sunxi SoCs
 It supports decoding of MPEG1 and MPEG2, some limited MPEG4 types, H.264
 and on H3/A64 it also decodes H.265.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -n
